set nocompatible
set encoding=utf-8
set fileencoding=utf-8
set number
set ruler
set cursorline
set showmatch
set laststatus=2
set wildmenu
set showcmd

set tabstop=4
set shiftwidth=4
set softtabstop=4
set autoindent
set smartindent

set incsearch
set hlsearch
set ignorecase
set smartcase
set wrapscan

set backspace=indent,eol,start
set clipboard=unnamed
set mouse=a
set ttimeoutlen=10

let g:autosave = 1
nnoremap Q :q!<CR>

call plug#begin('~/.vim/plugged')
Plug 'github/copilot.vim'
call plug#end()

syntax on
filetype plugin indent on
